#pragma once
#include "DTV_Base.h"

#include "../lib/IBonDriver.h"
typedef IBonDriver* (PFCREATEBONDRIVER)(void);

class CDTV_Friio : public CDTV_Base
{
public:
	CDTV_Friio();
	virtual ~CDTV_Friio(void);

	BOOL Initialize(char *szInitString=NULL,HWND hWnd=NULL,GUID *pGuid=NULL);
	void Release();
	BOOL IsInitialized();

	DWORD GetExtFunction();
	DWORD GetDeviceCount();
	BOOL GetDeviceName(int iDevNo,char *lpszDevName,int iBufLen);
	DWORD GetUsbEndpointCount(int iDevNo);
	BOOL GetUsbEndpointInfo(int iDevNo,int iUsbEpNo,struct DTV_UsbEndpointInfo *pUsbEpInfo);
	BOOL IsEndpointEffective(int iDevNo,int iUsbEpAddr);

	BOOL Connect(int iDevNo,int iInEpAddr,int iOutEpAddr);
	void DisConnect();
	BOOL IsConnect();
	void GetDeviceInfoText(char *lpszText,int iBufSize);

	DWORD GetChannelCount();
	int GetChannelName(int iChIndex,char *lpszChName,int iBufSize);
	BOOL SetChannel(int iCh);
	int GetChannel();
	BOOL SetChannnelByString(char *lpszChStr);

	DWORD XferRequestProc(struct DTV_ThreadParam *lpParameter);

public:
	// pNXƎ	

protected:
	HMODULE m_hLib;
	IBonDriver *m_pBonDrv;
	BOOL m_bOpen;
	int m_iChannel;
};
